>From b9dc047c3db3768dba86e1c515b713e3a06c0c15 Mon Sep 17 00:00:00 2001
From: Dmitry Shachnev <mitya57@gmail.com>
Date: Tue, 7 Apr 2020 20:48:50 +0300
Subject: [PATCH] Sort the input files to make the generated .so files
 reproducible

---
 setup.py                                | 2 +-
 sipbuild/module/source/12.7/setup.py.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/setup.py b/setup.py
index 5d46f639..daab5bff 100644
--- a/setup.py
+++ b/setup.py
@@ -41,7 +41,7 @@ except FileNotFoundError:
     version_file.close()
 
 # Build the code generator extension module.
-code_gen_src = glob.glob(os.path.join('code_generator', '*.c'))
+code_gen_src = sorted(glob.glob(os.path.join('code_generator', '*.c')))
 code_gen_module = Extension('sipbuild.code_generator', code_gen_src,
         include_dirs=['code_generator'])
 
diff --git a/sipbuild/module/source/12.7/setup.py.in b/sipbuild/module/source/12.7/setup.py.in
index 3b177c79..08513cea 100644
--- a/sipbuild/module/source/12.7/setup.py.in
+++ b/sipbuild/module/source/12.7/setup.py.in
@@ -28,7 +28,7 @@ from setuptools import Extension, setup
 
 
 # Build the extension module.
-module_src = glob.glob('*.c')
+module_src = sorted(glob.glob('*.c'))
 
 if sys.platform == 'win32':
     module_src.append('bool.cpp')
-- 
2.25.1

